@import url(social.css);
@import url(footer.css);
@import url(waves.css);
@import url(flex.css);
@import url(transition.css);
@import url(text-on-img.css);
@import url(dishes.css);
@import url(mobileMenu.css);
@import url(booking.css);
@import url('https://fonts.googleapis.com/css2?family=Rancho&display=swap');


@font-face {
    font-family: Rancho;
    font-style: normal;
    src: url('https://fonts.googleapis.com/css2?family=Rancho&display=swap');
}
.rancho-regular {
    font-family: "Rancho", cursive;
    font-weight: 400;
    font-style: normal;
  }

@font-face {
    font-family: Gelasio;
    font-weight: 400;
    src: url('fonts/Gelasio-Regular.woff2');
}
@font-face {
    font-family: Gelasio;
    font-weight: 800;
    src: url('fonts/Gelasio-Bold.woff2');
}

.flex-wrap {
    display: flex;
    flex-wrap: wrap;
}

.margin-bottom {
    margin-bottom: 10%;
}

/* width */
::-webkit-scrollbar {
    width: 10px;
  }
  
  /* Track */
  body::-webkit-scrollbar-track {
    background: rgb(238, 234, 226);        /* color of the tracking area */
  }
   
  /* Handle */
  ::-webkit-scrollbar-thumb {
    background: var(--color3);
  }
  
  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    background: var(--color3); 
  }

* {
    font-family: sans-serif,Gelasio;
    font-stretch: expanded;
    box-sizing: border-box;
    margin: 0px;
    padding: 0px;
    text-decoration: none;
    border: none;
    --color1: #26303483;
    --color2: #87cfeb;
    --color3: rgb(9, 97, 156);
    --color4: rgb(9, 97, 156);
    --color5: #f7f7f7;
    --color6: #c5c5c5;
    --color8: #ffffff;
    --navigation-bar: rgb(9, 97, 156);
    /* #2396c383 */
    line-height: 39px;
    transition: 1s;
    text-shadow: 1px 1px 5px grey;
}

.special-title {
    -webkit-text-stroke-width: 0.7px;
    stroke-width: 0.7px;
    -webkit-text-stroke-color: rgb(255, 255, 255);
    stroke: #FFFFFF;
    font-weight: 500;
}

.special-title-2 {
    -webkit-text-stroke-width: 0.5px;
    stroke-width: 0.5px;
    -webkit-text-stroke-color: rgb(0, 0, 0);
    stroke: #000000;
    font-weight: 500;
    color: #FFC200;
}

#first-title {
    position: absolute;
    margin-top: 20%;
    margin-left: 5%;
    z-index: 25;
    width: 80%;
}

#special-h2 {
    -webkit-text-stroke-width: 0.5px;
    stroke-width: 0.5px;
    -webkit-text-stroke-color: rgb(0, 0, 0);
    stroke: #000000;
    font-weight: 500;
    font-size: 150px;
    color: #E29251;
    text-shadow: #000000 1px 3px 5px;
    line-height: 1.2em;
}

h1, h2, h3 {
    font-family: Rancho;
}

h1 {
    font-size: 150px;
    color: var(--color3);
    text-shadow: #004466 1px 3px 5px;
    line-height: 1.2em;
}
h2 {
    line-height: 1.2em;
    font-size: 80px;
    font-weight: 500;
    padding: 40px 20px;
    color: var(--color3);
}

p {
    font-size: 26px;
    font-weight: 600;
    color: var(--color3);
    padding-top: 20px;
    padding-bottom: 20px;
}

a {
    color: var(--color8);
    text-decoration: none;
}

a:hover {
    color: var(--color8);
}

a:visited {
    color: var(--color8);
}

hr {
    height: 1px;
    background-color: var(--color3);
}

body {
    background-color: var(--color5);
    /* background: var(--color1); */
    /* background-image: url(../images/brushed-alum.png); */
    overflow-x: hidden;
    background-repeat: repeat;
}

#topimg {
    position: absolute;
    top: -2px;
    right: 100px;
    height: 81px;
    width: 130px;
}

#bodyContainer {
    position:relative;
    top:0px;
    left:0px;
    width:100%;
    height:100%;
    overflow:hidden;
}
    #fallback-image {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-image: url('images/fallback_image.png');
        background-size: cover;
    }

header {
    /* margin-top: 3%; */
    top: 0;
    left: 0;
    position:fixed;
    display: flex;
    flex-direction: row;
    background-color:rgba(42, 152, 195, 0);
    z-index: 9999;
}

    #logo img {
        height: 220px;
        margin-top: 60px;
        top: 15px;
        left: 46.5%;
        filter:opacity(90%);
    }

    .navigation.show {
        display: block;
    }

    .navigation {
        width: 100vw;
        display: flex;
        align-items: center;
        flex-direction: row;
        justify-content: center;
        box-shadow: 0px 10px 55px var(--color5);
    }

        .navigation a, .navigation .logo {
            text-align: center;
            font-size: 18px;
            font-weight: bold;
            color: var(--color8);
            white-space: nowrap;
            background-color: var(--navigation-bar);
            transition: 1s;
            line-height: 2;
            height: 50px;
            width: 100vw; /*was 250px */
        }

            .navigation a {
                padding: 5px;
            }

            .navigation a:hover {
                background-color: #87cfeb39;
            }

            .navigation a:visited {
                color: var(--color8);
            }

main {
    width: 100%;
    display: flex;
    flex-direction: column;
    overflow: visible;
    background-color: var(--color5);
}
    .main-div-style {
        text-align: center;
        display: flex;
        flex-direction:column;
        align-items: center;
        background-color: var(--color5);
        overflow: hidden;
    }
        .main-sub-div-text {
            margin: 5vh 5vw;
        }
            .sub-div-container {
                width: 650px;
            }
        .main-sub-div-img {
            width: 100%;
        }
            .main-sub-div-img img{
                height: 90vh;
                width: 100%;
            }


    #bgimg {
        display: none;
    }

    #bgvideo {
        object-fit: cover;
        opacity: 1;
        width: 100vw;
        height: 100vh;
        position: relative;
        left: 0px;
        top: 0%;
        z-index: 1;
        box-shadow: 0px 0px 25px 1px rgb(91, 91, 91);
    }

    #go-up {
        position: fixed;
        bottom: 30px;
        right: 30px;
        background-color: var(--color2);
        font-size: 35px;
        width: 45px;
        height: 45px;
        text-align: center;
        border-radius: 100%;
        color: var(--color8);
    }

    .sideImg {
        width: 40%;
        margin: 0 10%;
    }

        .sideImg img {
            width: 600px;
            height: 600px;
            border-radius: 100%;
            box-shadow:#69a8cc 0px 0px 15px 1px;
        }





@media screen and (max-width: 2400px) {

    header {
        /* margin-top: 3%; */
        top: 0;
        left: 0;
        position:fixed;
    }
}

@media screen and (max-width: 2200px) {

    header {
        /* margin-top: 4%; */
        top: 0;
        left: 0;
        position:fixed;
    }

}

@media screen and (max-width: 1700px) {

    header {
        /* margin-top: 7%; */
        top: 0;
        left: 0;
        position:fixed;
    }

}

@media screen and (max-width: 1450px) {
    .sideImg {
        width: 100%;
    }

    .sideImg img {
        width: 100%;
        height: auto;
    }

    .mobile-reverse {
        flex-direction: column-reverse;
    }
}

@media screen and (max-width: 1200px) {


    .sub-div-container {
        width: 800px;
        padding: 50px 0px;
        overflow: hidden;
    }

    .main-sub-div-3 {
        overflow: hidden;
    }
}

@media screen and (max-width: 1350px) {

    * {
        max-width: 100%;
    }

    h1 {
        font-size: 80px;
    }

    h2 {
        font-size: 65px;
    }

    #special-h2 {
        font-size: 80px;
    }

    p {
        font-size: 19px;
    }

    header {
        margin-top: 0;
        flex-direction: column;
        align-items: center;
        box-shadow: 0px 5px 25px var(--color5);
        background-color:rgba(9, 97, 156, 0.546);
        z-index: 9999;
    }
        #logo img {
            margin-top: 50px;
        }
        .navigation.active {
            display: flex;
            flex-direction: column;
            background-color: var(--color1);
        }
        .navigation {
            display: none;
            box-shadow: none;
        }
            .navigation .logo {
                display: none;
            }
            .navigation a, .navigation .logo {
                height: 70px;
                width: 100%;
            }
        .mainVideoArea {
            margin: 0;
            padding: 0;
            background-color: transparent;
        }
        #bgvideo {
            object-fit: fill;
            /* background-size: cover; */
            opacity: 1;
            width: 100%;
            height: 100%;
            position: relative;
            left: 0px;
            top: 0%;
            /* display: block; */
            z-index: 1;
        }
        /* .main-sub-div-text {
            margin: 0;
        } */
        .main-sub-div-img {
            height: auto;
            margin-bottom: 0;
        }
        .main-sub-div-img img {
            height: 35vh;
        }

        .mobile-reverse {
            flex-direction: column-reverse;
        }


}

@media screen and (max-width: 900px) {

    h1 {
        font-size: 40px;
    }

    h2 {
        font-size: 45px;
    }

    #special-h2 {
        font-size: 40px;
        padding: 0;
    }

    .special-title {
        -webkit-text-stroke-width: 0.2px;
        stroke-width: 0.2px;
    }
    
    .special-title-2 {
        -webkit-text-stroke-width: 0.2px;
        stroke-width: 0.2px;
    }
    
    #first-title {
        position: absolute;
        margin-top: 20%;
        margin-left: 5%;
        z-index: 25;
        width: 80%;
    }
    
    #special-h2 {
        -webkit-text-stroke-width: 0.2px;
        stroke-width: 0.2px;
    }
}

@media screen and (min-width: 1351px) {
    header {
        padding: 65px 0;
    }

    #logo img {
        margin-top: -60px;
    }
}